;program to integrate select column densities
pro aint
filename='chi0p2n50cr0p06av8p0p0.dat'
print,filename
readcol,filename,av,t,e,h,hp,htwo,h2p,h3p,o,op,oh,h2o,ohp,h2op,h3op,$
c,cp,co,pah,pahm,ch,co13,f,hf,cl,clp,hcl,hclp,h2clp,cfp
HCOL = 0.0
OHPCOL = 0.0
H2OPCOL = 0.0
H2COL = 0.0
H3PCOL = 0.0
CLPCOL = 0.0
HCLCOL = 0.0
HCLPCOL = 0.0
H2CLPCOL  = 0.0
dens0 = 50.0
FOR i = 1,N_ELEMENTS(AV)-1 DO BEGIN
DELAV = (AV[i]-AV[i-1])
DELZ = DELAV*2.0e21
DELHCOL = (h[i]+h[i-1])/2.0*DELZ
DELOHPCOL = (ohp[i]+ohp[i-1])/2.0*DELZ
DELH2OPCOL = (h2op[i]+h2op[i-1])/2.0*DELZ
DELH2COL = (htwo[i]+htwo[i-1])/2.0*DELZ
DELH3PCOL = (h3p[i]+h3p[i-1])/2.0*DELZ
DELHCLPCOL = (hclp[i]+hclp[i-1])/2.0*DELZ
DELH2CLPCOL = (h2clp[i]+h2clp[i-1])/2.0*DELZ
DELHCLCOL = (hcl[i]+hcl[i-1])/2.0*DELZ
HCOL = HCOL + DELHCOL
OHPCOL = OHPCOL + DELOHPCOL
H2OPCOL = H2OPCOL + DELH2OPCOL
H2COL = H2COL + DELH2COL
H3PCOL = H3PCOL + DELH3PCOL
HCLCOL = HCLCOL + DELHCLCOL
HCLPCOL = HCLPCOL + DELHCLPCOL
H2CLPCOL = H2CLPCOL + DELH2CLPCOL
;print,'i,av,h2,h2col,delh2col',i,av[i],htwo[i],h2col,delh2col
print,i,av[i],htwo[i],h2col,delh2col
ENDFOR
print,'H2COL', H2COL
print,'HCOL', HCOL
print,'OHPCOL', OHPCOL
print,'H2OPCOL', H2OPCOL
print,'HCLCOL', HCLCOL
print,'HCLPCOL', HCLPCOL
print,'H2CLPCOL', H2CLPCOL
print,'ohp/h',alog10(OHPCOL/HCOL)
print,'ohp/h2op',ohpcol/h2opcol
print,'h2',alog10(2.0*H2COL)
print,'h3p/h2',alog10(H3PCOL/H2COL)
;plot,av,co,/ylog
end
